package net.wanji.web.vo.specialService;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/8 13:07
 */
@Data
@ApiModel(value = "ListSpecialServicesOutVO", description = "查询快速特勤-特勤列表返回值")
public class ListSpecialServicesOutVO {
    @ApiModelProperty( value = "特勤ID",notes = "")
    private Integer id ;
    /** 特勤名称 */
    @ApiModelProperty(value = "特勤名称",notes = "")
    private String name ;
    /** 控制类型：1手动；2自动 */
    @ApiModelProperty(value = "控制类型：1手动；2自动",notes = "")
    private Integer controlModel = 1;
    /** 特勤线路长度 */
    @ApiModelProperty(value = "特勤线路长度",notes = "")
    private Double length = 0.0 ;
    /** 特勤状态：1执行；0未执行 */
    @ApiModelProperty(value = "特勤状态：1执行；0未执行",notes = "")
    private Integer status = 0 ;

    @ApiModelProperty(value = "wkt列表",notes = "")
    private List<String> wkts;
}
